
Redmine - Defect #6447

Issues API doesn't allow full key auth for all actions

2010-09-20 22:18 - Eric Davis

Status: Closed Start date: 2010-09-20

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: REST API Estimated time: 0.00 hour

Target version: 1.0.4   

Resolution: Fixed Affected version: 1.0.1

Description

Needs an accept_key_auth so full key actions can work (i.e. not HTTP basic based keys).

Simple fix but I want to have a solid test suite for this so we can reuse it as new APIs are added.

Related issues:

Related to Redmine - Defect #6841: Projects API doesn't allow full key auth f... Closed 2010-09-20

Associated revisions

Revision 4358 - 2010-11-01 16:45 - Eric Davis

Refactor: convert api key tests to shoulda macros for reuse. #6447

Revision 4360 - 2010-11-02 16:52 - Eric Davis

Refactor: convert username/password http basic auth api tests to shoulda macros #6447

Revision 4364 - 2010-11-04 17:22 - Eric Davis

Refactor: Convert the tests for Issues#index and #show APIs to shoulda. #6447

Revision 4365 - 2010-11-05 17:29 - Eric Davis

Allow key authentication when creating issues (with tests) #6447

Revision 4366 - 2010-11-05 18:49 - Eric Davis

Allow key authentication when updating issues (with tests) #6447

Revision 4367 - 2010-11-05 18:49 - Eric Davis

Allow key authentication when deleting issues (with tests) #6447

History

#1 - 2010-10-29 03:21 - takatomo okitsu

Please fix this problem before cording test suite? minimum fix about issues_controller.rb and project_controller.rb.

#2 - 2010-11-01 16:37 - Eric Davis

- Status changed from New to 7

I'm working on this now by cleaning up the existing tests to see which actions are missing the auth key option.

#3 - 2010-11-05 18:46 - Eric Davis

- Status changed from 7 to Resolved

- Target version set to 1.0.4

- % Done changed from 0 to 100

- Resolution set to Fixed

Fixed in various commits over this week.  Now the basic issues API should allow authentication with any of the methods Redmine supports.

I also rewrote the test suite for the Issues API so it's much more through now. (391 tests, 403 assertions)
#4 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

I am stepping down from working on Redmine.  If someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#5 - 2010-11-27 16:09 - Jean-Philippe Lang

- Status changed from Resolved to Closed

All the required changes are merged in 1.0-stable (r4439).
